## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class FacesConfigConverterIDFeatures

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.taglibprocessing.attributevalues.FacesConfigIdentifierFeatures
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.FacesConfigConverterIDFeatures

All Implemented Interfaces:
  IPossibleValues, IValidELValues, IValidValues, IMetaDataEnabledFeature

    public class FacesConfigConverterIDFeatures

extends FacesConfigIdentifierFeatures

Meta-data processing feature representing an attribute value requiring a "converterid"

Provisional API - subject to change

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.FacesConfigIdentifierFeatures
`ID_TYPE_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`FacesConfigConverterIDFeatures()`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.FacesConfigIdentifierFeatures
`getExpectedRuntimeType, getPossibleValues, getValidationMessages, isValidValue`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### FacesConfigConverterIDFeatures

    public FacesConfigConverterIDFeatures()